---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci config compile`

View the fully expanded CI/CD configuration.

```plaintext
glab ci config compile [flags]
```

## Examples

```plaintext
# Uses .gitlab-ci.yml in the current directory
$ glab ci config compile

$ glab ci config compile .gitlab-ci.yml

$ glab ci config compile path/to/.gitlab-ci.yml

```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
